.wp-block-meta-video-player .plyr {
  --plyr-color-main: var(--wp--preset--color--secondary);
  border-radius: var(--wp--custom--border--radius);
}
.wp-block-meta-video-player .plyr .plyr__control--overlaid {
  width: 64px;
  height: 64px;
  display: flex !important;
  align-items: center;
  justify-content: center;
}
.wp-block-meta-video-player .plyr .plyr__poster {
  background-size: cover !important;
}
.wp-block-meta-video-player .pseudo-video {
  margin: 0;
  border-radius: var(--wp--custom--border--radius);
  overflow: hidden;
  aspect-ratio: 16/9;
  width: 100%;
  overflow: hidden;
  position: relative;
}
.wp-block-meta-video-player .pseudo-video img {
  position: absolute;
  z-index: 0;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  transform-style: preserve-3d;
}
.wp-block-meta-video-player i {
  position: absolute;
  left: calc(50% - 32px);
  top: calc(50% - 32px);
  width: 64px;
  height: 64px;
  background-color: hsla(from var(--wp--preset--color--accent) h s l/0.9);
  color: var(--wp--custom--color--background);
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 64px;
  transition: all 0.2s ease-in-out;
}
.wp-block-meta-video-player i svg {
  width: 24px;
  height: auto;
  fill: var(--wp--preset--color--primary);
}
.wp-block-meta-video-player .video-modal {
  aspect-ratio: 16/9;
  position: relative;
  overflow: hidden;
  width: 100%;
}
.wp-block-meta-video-player .video-modal img {
  position: absolute;
  z-index: 0;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  transform-style: preserve-3d;
}
.wp-block-meta-video-player .video-modal:hover i {
  scale: 0.9;
  background-color: var(--wp--preset--color--secondary);
}
.wp-block-meta-video-player .video-info {
  padding-top: 16px;
}
.wp-block-meta-video-player .video-info h3 {
  color: currentColor;
  font-size: 1.125rem;
  font-weight: 700;
  line-height: 1.1;
}
.wp-block-meta-video-player .video-info p {
  opacity: 0.75;
  margin-top: 8px;
  line-height: 1.4;
  font-size: 0.875rem;
}
